﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
public class UIManager : MonoBehaviour
{
    public Text properTime;
    public Text currentSpeed;
    public Square square;

    public void UpdateUI()
    {
        string newPropertime, prevPropertime;

        currentSpeed.text = "Current Speed : " + (square.gameSpeed / Constants.c).ToString("F2") + "c";

        prevPropertime = square.CalculateEntireMovingTime().ToString();
        newPropertime = (square.CalculateEntireMovingTime() / Constants.Gamma(square.gameSpeed)).ToString();

        properTime.text = "New Proper Time : " + newPropertime + "\nPrev Proper Time : " + prevPropertime;
    }
}
